# PhasicFlow: cylinderWall Class Reference

cylinderWall Class Reference
Inheritance diagram for cylinderWall:
[legend]
Collaboration diagram for cylinderWall:
[legend]

## Public Member Functions

| TypeInfo ("cylinderWall")
| cylinderWall ()
| cylinderWall (const dictionary &dict)
| add_vCtor (Wall, cylinderWall, dictionary)
Public Member Functions inherited from Wall
| TypeInfo ("Wall")
| Wall ()
| Wall (const dictionary &dict)
virtual | ~Wall ()=default
| create_vCtor (Wall, dictionary,(const dictionary &dict),(dict))
const auto & | triangles () const
word | name () const
word | materialName () const
word | motionName () const

## Protected Member Functions

bool | readCylinderWall (const dictionary &dict)
bool | createCylinder (const realx3 &p1, const realx3 &p2, real rad1, real rad2, int32 numDiv)
Protected Member Functions inherited from Wall
bool | readCommon (const dictionary &ditc)

## Additional Inherited Members

Static Public Member Functions inherited from Wall
static bool | checkTrianlge (const realx3 &p1, const realx3 &p2, const realx3 &p3)
static uniquePtr< Wall > | create (const dictionary &dict)
Protected Attributes inherited from Wall
std::vector< realx3x3 > | triangles_
word | name_
word | materialName_
word | motionName_

## Detailed Description

Definition at line 31 of file cylinderWall.hpp.

## Constructor & Destructor Documentation

## cylinderWall() [1/2]

cylinderWall | ( |  | ) |

Definition at line 106 of file cylinderWall.cpp.

## cylinderWall() [2/2]

cylinderWall | ( | const dictionary & | dict | ) |

Definition at line 110 of file cylinderWall.cpp.

References fatalExit, and cylinderWall::readCylinderWall().

Here is the call graph for this function:

## Member Function Documentation

## readCylinderWall()

bool readCylinderWall | ( | const dictionary & | dict | ) |

protected

Definition at line 6 of file cylinderWall.cpp.

References cylinderWall::createCylinder(), dictionary::getVal(), dictionary::getValOrSet(), line::point(), and Wall::triangles_.

Referenced by cylinderWall::cylinderWall().

Here is the call graph for this function:
Here is the caller graph for this function:

## createCylinder()

bool createCylinder | ( | const realx3 & | p1,
|  | const realx3 & | p2,
|  | real | rad1,
|  | real | rad2,
|  | int32 | numDiv
| ) |  |

protected

Definition at line 39 of file cylinderWall.cpp.

References pFlow::checkNormalVec(), pFlow::cos(), pFlow::endl(), fatalErrorInFunction, zAxis::length(), pFlow::Pi, pFlow::sin(), and zAxis::transferBackZ().

Referenced by cylinderWall::readCylinderWall().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfo()

TypeInfo | ( | "cylinderWall" |  | ) |

## add_vCtor()

add_vCtor | ( | Wall | ,
|  | cylinderWall | ,
|  | dictionary |
| ) |  |

The documentation for this class was generated from the following files:

- utilities/Utilities/geometryPhasicFlow/cylinderWall/cylinderWall.hpp
- utilities/Utilities/geometryPhasicFlow/cylinderWall/cylinderWall.cpp